<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users_event', function (Blueprint $table) {
            //
            $table->unsignedBigInteger('event_id')->after('id');        
            $table->foreign('event_id')->references('id')->on('event')->onDelete('cascade');

            $table->dropForeign(['sale_id']);
            $table->dropColumn('sale_id');
            
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users_event', function (Blueprint $table) {
            $table->dropForeign(['event_id']);
            $table->dropColumn('event_id');
        });
    }
};
